﻿using Infragistics.Web.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace igGrid_BindingDates.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            GridModel model = new GridModel();
           
            model.AutoGenerateColumns = false;
            model.Columns.Add(new GridColumn("ID", "ID", "number", "200px"));
            model.Columns.Add(new GridColumn("Name", "Name", "string", "200px"));
            model.Columns.Add(new GridColumn("Date", "Date", "date", "200px"));

            model.DataSource = GetData().AsQueryable();
            model.DataBind();

            model.Features.Add(new GridFiltering());
            return View(model);
        }

        private List<Item> GetData()
        {
            List<Item> items = new List<Item>();
            for (int i = 0; i < 30; i++)
            {
                items.Add(new Item() { ID = i, Name = "Name" + i, Date = DateTime.Now.AddDays(i) });
            }
            return items;
        }
    }
}